%define	name	emotion
%define	version 0.1.0.042
%define release %mkrel 7.20090807.1

%define major 	0
%define libname %mklibname %{name} %major
%define libnamedev %mklibname %{name} -d

Summary: 	Enlightenment video and media library
Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
License: 	BSD
Group: 		Graphical desktop/Enlightenment
URL: 		http://www.enlightenment.org/
Source: 	%{name}-%{version}.tar.bz2
BuildRoot: 	%{_tmppath}/%{name}-buildroot
BuildRequires:	evas-devel >= 0.9.9.062
BuildRequires:	ecore-devel >= 0.9.9.050
BuildRequires:	eet-devel >= 1.1.0
BuildRequires:	embryo-devel >= 0.9.9.050
BuildRequires:	edje-devel >= 0.5.0.050
BuildRequires:	edje >= 0.5.0.050
BuildRequires:	libxine-devel
Buildrequires:  gstreamer0.10-ffmpeg, ffmpeg
BuildRequires:	gstreamer0.10-plugins-good gstreamer0.10-cdio
BuildRequires:	libgstreamer-devel
BuildRequires:	libgstreamer-plugins-base-devel

%description
Emotion is a video & media object library designed to interface with Evas and
Ecore to provide autonomous "video" and "audio" objects that can be moved,
resized and positioned like any normal object, but instead they can play video
and audio and can be controlled from a high-level control API allowing the
programmer to quickly piece together a multi-media system with minimal work.

This package is part of the Enlightenment DR17 desktop shell.

%package -n %libname
Summary: Libraries for the %{name} package
Group: System/Libraries
Requires: %{name}

%description -n %libname
Libraries for %{name}

%package -n %libnamedev
Summary: Headers and development libraries from %{name}
Group: Development/Other
Requires: %libname = %{version}
Provides: lib%{name}-devel = %{version}-%{release}
Provides: %name-devel = %{version}-%{release}

%description -n %libnamedev
%{name} development headers and libraries

%prep
%setup -q

%build
NOCONFIGURE=yes ./autogen.sh
%configure2_5x --enable-gstreamer --enable-xine
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%if %mdkversion < 200900
%post -n %libname -p /sbin/ldconfig
%endif
%if %mdkversion < 200900
%postun -n %libname -p /sbin/ldconfig
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS COPYING README
#%{_bindir}/%name
%{_bindir}/%{name}_*
%{_datadir}/%name
%{_libdir}/%name
#%{_libdir}/xine/plugins/*/*

%files -n %libname
%defattr(-,root,root)
%{_libdir}/*.so.*

%files -n %libnamedev
%defattr(-,root,root)
%{_libdir}/pkgconfig/*
%{_libdir}/*.so
%{_libdir}/*.a
%{_libdir}/*.la
%{_includedir}/*.h


%changelog
* Fri Aug 07 2009 Funda Wang <fundawang@mandriva.org> 0.1.0.042-7.20090807.1mdv2010.0
+ Revision: 411179
- new snapshot to build with latest evas
- rebuild against new ecore

* Wed Jul 08 2009 Funda Wang <fundawang@mandriva.org> 0.1.0.042-6mdv2010.0
+ Revision: 393497
- rebuild for new ecore

* Sun Mar 01 2009 Antoine Ginies <aginies@mandriva.com> 0.1.0.042-5mdv2009.1
+ Revision: 346358
- fix buildrequires
- SVN SNAPSHOT 20090227, release 0.1.0.042

* Thu Aug 07 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.1.0.042-4mdv2009.0
+ Revision: 266622
- rebuild early 2009.0 package (before pixel changes)

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Mon Mar 31 2008 Antoine Ginies <aginies@mandriva.com> 0.1.0.042-3mdv2009.0
+ Revision: 191232
- update buildrequires to support rebuild dor 2008.0 release

* Mon Feb 18 2008 Antoine Ginies <aginies@mandriva.com> 0.1.0.042-3mdv2008.1
+ Revision: 170106
- bump release
- remove old source

  + Thierry Vignaud <tvignaud@mandriva.com>
    - fix gstreamer0.10-devel BR for x86_64

* Sat Feb 09 2008 Austin Acton <austin@mandriva.org> 0.1.0.042-2mdv2008.1
+ Revision: 164526
- buildrequires gstreamer plugins base devel

* Sat Feb 02 2008 Austin Acton <austin@mandriva.org> 0.1.0.042-1mdv2008.1
+ Revision: 161555
- new version
- fix URL
- tidy spec
- build with cdda
- drop emotion-config

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Wed Oct 31 2007 Antoine Ginies <aginies@mandriva.com> 0.0.1.008-1mdv2008.1
+ Revision: 104109
- add  gstreamer0.10-ffmpeg, ffmpeg buildrequires
- update buildrequires
- new tarball
- CVS SNAPSHOT 20071031, release 0.0.1.005

* Fri Aug 31 2007 Antoine Ginies <aginies@mandriva.com> 0.0.1.005-4mdv2008.0
+ Revision: 76696
- fix missing emotion-config file
- fix path in tarball
- CVS SNAPSHOT 20070830, release 0.0.1.005
- CVS SNAPSHOT 20070529, release 0.0.1.005

* Thu May 24 2007 Antoine Ginies <aginies@mandriva.com> 0.0.1.005-2mdv2008.0
+ Revision: 30682
- fix release tag
- disable cvs release
- increase mkrel
- CVS snapshot 20070524, release 0.0.1.005
- use version in source file

* Mon May 21 2007 Antoine Ginies <aginies@mandriva.com> 0.0.1.005-0.20070516.1mdv2008.0
+ Revision: 29304
- replace corrupted source
- remove unwanted changelog
- cvs snapshot 20070516

  + Pascal Terjan <pterjan@mandriva.org>
    - Import emotion



* Fri Mar 24 2006 Austin Acton <austin@mandriva.org> 0.0.1.004-0.20060323.1mdk
- new cvs checkout
- enable xine backend too

* Fri Feb 17 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.0.1.004-0.20060216.2mdk
- Fix BuildRequires

* Fri Feb 17 2006 Austin Acton <austin@mandriva.org> 0.0.1.004-0.20060216.1mdk
- new cvs checkout

* Wed Jan 18 2006 Austin Acton <austin@mandriva.org> 0.0.1.004-0.20060117.1mdk
- new cvs checkout

* Fri Nov 25 2005 Austin Acton <austin@mandriva.org> 0.0.1.004-0.20051124.1mdk
- new cvs checkout
- use gstreamer backend

* Fri Nov 18 2005 Thierry Vignaud <tvignaud@mandriva.com> 0.0.1.004-0.20051109.2mdk
- rebuild against openssl-0.9.8

* Wed Nov 09 2005 Austin Acton <austin@mandriva.org> 0.0.1.004-0.20051109.1mdk
- new cvs checkout

* Sat Nov 05 2005 Austin Acton <austin@mandriva.org> 0.0.1.004-0.20051104.1mdk
- new cvs checkout

* Mon Sep 05 2005 Austin Acton <austin@mandriva.org> 0.0.1.004-0.20050904.1mdk
- new cvs checkout

* Sun Aug 14 2005 Austin Acton <austin@mandriva.org> 0.0.1.004-0.20050813.1mdk
- new cvs checkout

* Mon Jun 27 2005 Austin Acton <austin@mandriva.org> 0.0.1.003-0.20050627.1mdk
- new cvs checkout

* Wed Jun 08 2005 Austin Acton <austin@mandriva.org> 0.0.1.003-0.20050608.1mdk
- new cvs checkout

* Wed May 25 2005 Austin Acton <austin@mandriva.org> 0.0.1.003-0.20050524.2mdk
- multiarch binaries

* Wed May 25 2005 Austin Acton <austin@mandriva.org> 0.0.1.003-0.20050524.1mdk
- new cvs checkout

* Sun May 15 2005 Austin Acton <austin@mandriva.org> 0.0.1.003-0.20050511.3mdk
- until plugins are split, lib requires name

* Sun May 15 2005 Austin Acton <austin@mandriva.org> 0.0.1.003-0.20050511.2mdk
- clean spec

* Thu May 12 2005 Austin Acton <austin@mandriva.org> 0.0.1.003-0.20050511.1mdk
- initial package
